### Function

# EDataServer categories_dup_icon_file_for

since: 3.16

#### Declaration [src]

    gchar*
    e_categories_dup_icon_file_for (
      const gchar* category
    )

#### Description [src]

Gets the icon file associated with the given category and returns a copy of it.

This function is thread safe.

Available since: 3.16

#### Parameters

`category`

  Type: `const gchar*`

  Category to retrieve the icon file for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Icon file name; free with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.